Package org.apache.tomcat.util.net.openssl.ciphers

## Enum KeyExchange

- java.lang.Object
- - java.lang.Enum<KeyExchange>
  - - org.apache.tomcat.util.net.openssl.ciphers.KeyExchange

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<KeyExchange>`

    public enum KeyExchange
    extends java.lang.Enum<KeyExchange>

### Enum Constant Summary

Enum Constants
`ANY`
`DHd`
`DHEPSK`
`DHr`
`ECDHe`
`ECDHEPSK`
`ECDHr`
`EDH`
`EECDH`
`FZA`
`GOST`
`KRB5`
`PSK`
`RSA`
`RSAPSK`
`SRP`

### Method Summary

All Methods Static Methods Concrete Methods
`static KeyExchange` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static KeyExchange[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EECDH

    public static final KeyExchange EECDH

#### RSA

    public static final KeyExchange RSA

#### DHr

    public static final KeyExchange DHr

#### DHd

    public static final KeyExchange DHd

#### EDH

    public static final KeyExchange EDH

#### PSK

    public static final KeyExchange PSK

#### FZA

    public static final KeyExchange FZA

#### KRB5

    public static final KeyExchange KRB5

#### ECDHr

    public static final KeyExchange ECDHr

#### ECDHe

    public static final KeyExchange ECDHe

#### GOST

    public static final KeyExchange GOST

#### SRP

    public static final KeyExchange SRP

#### RSAPSK

    public static final KeyExchange RSAPSK

#### ECDHEPSK

    public static final KeyExchange ECDHEPSK

#### DHEPSK

    public static final KeyExchange DHEPSK

#### ANY

    public static final KeyExchange ANY

### Method Detail

#### values

    public static KeyExchange[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (KeyExchange c : KeyExchange.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static KeyExchange valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null